#ifndef _FILES_H_
#define _FILES_H_

#include "mbed.h"
#include "revision.h"
#include "alp_spec.h"
#include "alp_helpers.h"
#include "modem_ref.h"
#include "sensor.h"


#define FID_HOST_REV            65
#define SIZE_HOST_REV           sizeof(revision_t)
extern alp_file_header_t        h_rev;
extern revision_t               f_rev;

#define FID_SENSOR_CONFIG       132
#define SIZE_SENSOR_CONFIG      sizeof(sensor_config_t)
extern alp_file_header_t        h_sensor_config;
extern sensor_config_t          f_sensor_config;

#define FID_SENSOR_LIGHT        133
#define SIZE_SENSOR_LIGHT       sizeof(light_value_t)
extern alp_file_header_t        h_sensor_light;
// No local data since the file will be created on the modem

typedef uint8_t alarm_t;
#define FID_ALARM               131
#define SIZE_ALARM              sizeof(alarm_t)
extern alp_file_header_t        h_alarm;
extern alarm_t                  f_alarm;


#endif // _FILE_H_